Summary:	Warning box displayed when you are using KDE with system administrator permissions.
Name:		krootwarning
Version:	2006
Release:	1mdk
Epoch:		2
License:	GPL
URL:		http://www.mandriva.com/
Group:		System/Configuration/Other

Source:		krootwarning-%{version}.tar.bz2

BuildRoot:		%_tmppath/%name-%version-%release-root
BuildRequires:	kdelibs-devel >= 3.1-rc6
BuildRequires:	arts
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	freetype2
BuildRequires:	gcc-c++
BuildRequires:	kdelibs-devel
Conflicts:		krozat < 8.2-13mdk

%description 
This package contains a warning box displayed when you are using KDE with
system administrator permissions.

%prep

%setup -q
find . -type 'd' -name 'CVS' | xargs rm -fr

%build
export WANT_AUTOCONF_2_1=1
make -f admin/Makefile.common

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure script past this line
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

./configure \
        --prefix=%_prefix --libdir=%_libdir \
        --enable-final \
		--disable-debug \
		--with-xinerama \
		--disable-rpath \
		--enable-mt

%make


%install
rm -rf %buildroot

%makeinstall_std
%{find_lang} %{name}


%clean
rm -fr %buildroot



%files -f %{name}.lang
%defattr(-,root,root)
#
#
%_bindir/krootwarning
#
#
%dir %_datadir/apps/krootwarning/
%dir %_datadir/apps/krootwarning/pics/
%_datadir/apps/krootwarning/pics/*.png
#
%dir %_datadir/applnk/Applications/
%_datadir/applnk/Applications/krootwarning.desktop

%dir %_datadir/autostart/
%_datadir/autostart/krootwarning.desktop

%config(noreplace) %_datadir/config/krootwarningrc

%_datadir/icons/locolor/16x16/apps/*.png
%_datadir/icons/locolor/32x32/apps/*.png



%changelog
* Thu Sep 08 2005 Laurent MONTEL <lmontel@mandriva.com> 2006-1mdk
- Rebuild

* Wed Oct 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-2mdk
- Update po file

* Tue Aug 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-1mdk
- Update po file.

* Tue Jul 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.0-5mdk
- Update po file

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.0-4mdk
- Rebuild

* Fri Jun 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.0-3mdk
- Rebuild

* Fri Feb 27 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.0-2mdk
- Update po file

* Tue Dec 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 10.0-1mdk
- Rebuild

* Sat Jul 12 2003 Per yvind Karlsen <peroyvind@sintrax.net> 9.1-6mdk
- rebuild

* Tue Mar 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-5mdk
- Update po

* Mon Feb 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-4mdk
- Update po

* Thu Feb 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-3mdk
- Add new po

* Mon Feb 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-2mdk
- Update po

* Tue Jan 14 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-1mdk
- Update po
- Update Requires

* Thu Sep 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 9.0-9mdk
- Update po
- Fix po charset

* Wed Sep 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 9.0-8mdk
- Update image

* Mon Sep 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 9.0-7mdk
- Update source, new language

* Mon Aug 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 9.0-6mdk
- Fix size of dialogbox
- Update po file

* Wed Aug 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 9.0-5mdk
- Rebuild against gcc-3.2

* Tue Aug 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 9.0-4mdk
- Fix crash at startup

* Fri Aug  9 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 9.0-3mdk
- lib64 fixes, again. They were split to nihil when mandrake_desk was split

* Tue Aug 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 9.0-2mdk
- Add conflict

* Fri Aug 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 9.0-1mdk
- Initial package

